ResourcesCredits
Retrieve a credits product
Retrieve a store-scoped credits product and its default variant.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Path Parameters
creditProduct*integer
The creditProduct path parameter.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/credit-products/0"{
"data": {
"id": 0,
"store_id": 0,
"title": "string",
"slug": "string",
"description": "string",
"visibility": "PUBLIC",
"type": "credits",
"is_draft": true,
"is_discoverable": true,
"section_id": 0,
"default_variant": {
"id": 0,
"price_cents": 0,
"currency": "string",
"minimum_purchase_quantity": 1,
"maximum_purchase_quantity": 0,
"quantity_increment": 1,
"stock": 0,
"payment_methods": [
"string"
],
"rate_tiers": [
{
"min_quantity": 100,
"max_quantity": 999,
"unit_price": "0.5000"
}
]
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Rule not found."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}